#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.2.1.5 (beta)
 Author:         Daniel Wahlmann

 Script Function:
	Calculator

#ce ----------------------------------------------------------------------------

#include "Header.au3"

Global $ctrlButton[11]

GUICreate("Calculator", 240, 240 )

$ctrlMenu_All = GUICtrlCreateMenu("&Calculator")
$ctrlMenu_All_Prime = GUICtrlCreateMenuitem( "Primenumer       Ctrl+F1", $ctrlMenu_All )
GUICtrlCreateMenuitem( "", $ctrlMenu_All )
$ctrlMenu_All_Help = GUICtrlCreateMenu("&Help", $ctrlMenu_All)
$ctrlMenu_All_Help_Question = GUICtrlCreateMenuitem( "?", $ctrlMenu_All_Help)
$ctrlMenu_All_Help_About = GUICtrlCreateMenuitem( "About", $ctrlMenu_All_Help)
GUICtrlCreateMenuitem( "", $ctrlMenu_All )
$ctrlMenu_All_Exit = GUICtrlCreateMenuitem( "Exit", $ctrlMenu_All)

$ctrlInput = GUICtrlCreateInput("", 10, 20, 220, 20)
$ctrlButton[0] = GUICtrlCreateButton("0", 10, 180, 40, 20)
$ctrlButton[1] = GUICtrlCreateButton("1", 10, 90, 40, 20)
$ctrlButton[2] = GUICtrlCreateButton("2", 50, 90, 40, 20)
$ctrlButton[3] = GUICtrlCreateButton("3", 90, 90, 40, 20)
$ctrlButton[4] = GUICtrlCreateButton("4", 10, 120, 40, 20)
$ctrlButton[5] = GUICtrlCreateButton("5", 50, 120, 40, 20)
$ctrlButton[6] = GUICtrlCreateButton("6", 90, 120, 40, 20)
$ctrlButton[7] = GUICtrlCreateButton("7", 10, 150, 40, 20)
$ctrlButton[8] = GUICtrlCreateButton("8", 50, 150, 40, 20)
$ctrlButton[9] = GUICtrlCreateButton("9", 90, 150, 40, 20)
$ctrlButton_Vorzeichen = GUICtrlCreateButton("+/-", 50, 180, 40, 20)
$ctrlButton_Komma = GUICtrlCreateButton(",", 90, 180, 40, 20)
$ctrlButton_CE = GUICtrlCreateButton("CE", 90, 60, 60, 20)
$ctrlButton_C = GUICtrlCreateButton("C", 170, 60, 60, 20)
$ctrlButton_Mal = GUICtrlCreateButton("*", 150, 90, 30, 20)
$ctrlButton_Prozent = GUICtrlCreateButton("%", 150, 150, 30, 20)
$ctrlButton_Plus = GUICtrlCreateButton("+", 150, 120, 30, 20)
$ctrlButton_Sqrt = GUICtrlCreateButton("Sqrt", 200, 150, 30, 20)
$ctrlButton_Hoch = GUICtrlCreateButton("^", 150, 180, 30, 20)
$ctrlButton_Geteilt = GUICtrlCreateButton("/", 200, 90, 30, 20)
$ctrlButton_Minus = GUICtrlCreateButton("-", 200, 120, 30, 20)
$ctrlButton_Gleich = GUICtrlCreateButton("=", 200, 180, 30, 20)
$ctrlButton_Back = GUICtrlCreateButton("Back", 10, 60, 60, 20)

GUISetBkColor( 0xB0B0D0 )

#region OnEvent
GUISetOnEvent( $GUI_EVENT_CLOSE, "_Exit" )
GUICtrlSetOnEvent( $ctrlButton_Vorzeichen, "_ctrlButton_Vorzeichen" )
GUICtrlSetOnEvent( $ctrlButton_Prozent, "_ctrlButton_Prozent" )
GUICtrlSetOnEvent( $ctrlButton_Sqrt, "_ctrlButton_Sqrt" ) 
GUICtrlSetOnEvent( $ctrlButton_Plus, "_ctrlButton_Plus" )
GUICtrlSetOnEvent( $ctrlButton_Minus, "_ctrlButton_Minus" )
GUICtrlSetOnEvent( $ctrlButton_Mal, "_ctrlButton_Mal" )
GUICtrlSetOnEvent( $ctrlButton_Geteilt, "_ctrlButton_Geteilt" )
GUICtrlSetOnEvent( $ctrlButton_Hoch, "_ctrlButton_Hoch" )
GUICtrlSetOnEvent( $ctrlButton_Komma, "_ctrlButton_Komma" )
GUICtrlSetOnEvent( $ctrlButton_Back, "_ctrlButton_Back" )
GUICtrlSetOnEvent( $ctrlButton_C,  "_ctrlButton_C_CE" )
GUICtrlSetOnEvent( $ctrlButton_CE, "_ctrlButton_C_CE" )
GUICtrlSetOnEvent( $ctrlButton_Gleich, "_ctrlButton_Gleich" )
GUICtrlSetOnEvent( $ctrlMenu_All_Prime, "_ctrlMenu_All_Prime" )
GUICtrlSetOnEvent( $ctrlMenu_All_Help_About, "_ctrlMenu_All_Help_About" )
GUICtrlSetOnEvent( $ctrlMenu_All_Help_Question, "_ctrlMenu_All_Help_Question" )
GUICtrlSetOnEvent( $ctrlMenu_All_Exit, "_Exit")
For $lNum = 0 to 9
	GUICtrlSetOnEvent( $ctrlButton[$lNum], "_ctrlButton" & $lNum )
Next
#endregion

GUISetState()

While 1
	_BlockAtoZ( $ctrlInput )
WEnd